Save mileage
curl --request POST \
--url https://sandbox.tight.com/v6/mileage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "mlg_12345",
"date": "2024-03-15",
"status": "ACTIVE",
"mileageStatus": "BUSINESS",
"description": "Drive to client meeting",
"notes": "Client was not available",
"customerId": "cus_4852707",
"dimensionValueIds": [
"<string>"
],
"distance": {
"type": "MILE",
"value": "12.5"
},
"start": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"locationId": "loc_28868401",
"address": {
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"end": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"locationId": "loc_28868401",
"address": {
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"duration": 3600000,
"deduction": {
"amount": 6775
},
"carId": "car_28868401",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/mileage"
payload = { "data": [
{
"id": "mlg_12345",
"date": "2024-03-15",
"status": "ACTIVE",
"mileageStatus": "BUSINESS",
"description": "Drive to client meeting",
"notes": "Client was not available",
"customerId": "cus_4852707",
"dimensionValueIds": ["<string>"],
"distance": {
"type": "MILE",
"value": "12.5"
},
"start": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"locationId": "loc_28868401",
"address": {
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"end": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"locationId": "loc_28868401",
"address": {
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"duration": 3600000,
"deduction": { "amount": 6775 },
"carId": "car_28868401",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
id: 'mlg_12345',
date: '2024-03-15',
status: 'ACTIVE',
mileageStatus: 'BUSINESS',
description: 'Drive to client meeting',
notes: 'Client was not available',
customerId: 'cus_4852707',
dimensionValueIds: ['<string>'],
distance: {type: 'MILE', value: '12.5'},
start: {
time: '2023-11-07T05:31:56Z',
lat: '38.8977',
lng: '-77.0365',
locationId: 'loc_28868401',
address: {
state: '<string>',
city: '<string>',
zip: '<string>',
phoneWork: '<string>',
address1: '<string>',
address2: '<string>'
}
},
end: {
time: '2023-11-07T05:31:56Z',
lat: '38.8977',
lng: '-77.0365',
locationId: 'loc_28868401',
address: {
state: '<string>',
city: '<string>',
zip: '<string>',
phoneWork: '<string>',
address1: '<string>',
address2: '<string>'
}
},
duration: 3600000,
deduction: {amount: 6775},
carId: 'car_28868401',
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/mileage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "mlg_12345",
"date": "2024-03-15",
"status": "ACTIVE",
"mileageStatus": "BUSINESS",
"description": "Drive to client meeting",
"notes": "Client was not available",
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"distance": {
"type": "MILE",
"value": "12.5"
},
"start": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"location": {
"id": "loc_28868401",
"name": "Home Office"
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"end": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"location": {
"id": "loc_28868401",
"name": "Home Office"
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"duration": 3600000,
"deduction": {
"amount": 6775
},
"route": {
"id": "mrt_12345",
"waypoints": [
{
"lat": "38.8977",
"lng": "-77.0365"
}
]
},
"car": {
"id": "car_28868401",
"name": "My Toyota Camry",
"make": "Toyota",
"model": "Camry"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "mlg_12345",
"date": "2024-03-15",
"status": "ACTIVE",
"mileageStatus": "BUSINESS",
"description": "Drive to client meeting",
"notes": "Client was not available",
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"distance": {
"type": "MILE",
"value": "12.5"
},
"start": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"location": {
"id": "loc_28868401",
"name": "Home Office"
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"end": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"location": {
"id": "loc_28868401",
"name": "Home Office"
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"duration": 3600000,
"deduction": {
"amount": 6775
},
"route": {
"id": "mrt_12345",
"waypoints": [
{
"lat": "38.8977",
"lng": "-77.0365"
}
]
},
"car": {
"id": "car_28868401",
"name": "My Toyota Camry",
"make": "Toyota",
"model": "Camry"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "mlg_12345",
"date": "2024-03-15",
"status": "ACTIVE",
"mileageStatus": "BUSINESS",
"description": "Drive to client meeting",
"notes": "Client was not available",
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"distance": {
"type": "MILE",
"value": "12.5"
},
"start": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"location": {
"id": "loc_28868401",
"name": "Home Office"
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"end": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"location": {
"id": "loc_28868401",
"name": "Home Office"
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"duration": 3600000,
"deduction": {
"amount": 6775
},
"route": {
"id": "mrt_12345",
"waypoints": [
{
"lat": "38.8977",
"lng": "-77.0365"
}
]
},
"car": {
"id": "car_28868401",
"name": "My Toyota Camry",
"make": "Toyota",
"model": "Camry"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Mileage
Save mileage
Save new (or update existing) mileage records
POST
/
v6
/
mileage
Save mileage
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I